<?php

namespace Drupal\digital_signage_device\Commands;

use Drupal\digital_signage_platform\PlatformPluginManager;
use Drush\Commands\DrushCommands;

/**
 * A Drush commandfile for digital signage devices.
 */
class DeviceCommands extends DrushCommands {

  /**
   * @var \Drupal\digital_signage_platform\PlatformPluginManager
   */
  protected $pluginManager;

  /**
   * {@inheritdoc}
   */
  public function __construct(PlatformPluginManager $plugin_manager) {
    parent::__construct();
    $this->pluginManager = $plugin_manager;
  }

  /**
   * Command description here.
   *
   * @param array $options
   *   An associative array of options whose values come from cli, aliases, config, etc.
   * @option platform
   *   Platform ID if only one should be synchronised, defaults to all.
   * @usage digital-signage-device:sync
   *   Synchronises all devices with all enabled platforms.
   *
   * @command digital-signage-device:sync
   * @aliases dsds
   */
  public function syncDevices($options = ['platform' => NULL]) {
    $this->pluginManager->syncDevices($options['platform']);
  }

}
